Subject: bug#8080: 24.0.50; Sending mail failed with Gmail/GnuTLS on Windows

From: [email-masked] (Claudio Bley)
Date: Fri, 25 Feb 2011 19:42:14 +0100

At Wed, 23 Feb 2011 15:47:05 -0600,
Ted Zlatanov wrote:
> 
> On Wed, 23 Feb 2011 22:13:16 +0100 [email-masked] (Claudio Bley) wrote: 
> 
> CB> At Tue, 22 Feb 2011 17:20:33 -0700,
> CB> Christoph wrote:
> >> 
> >> How soon can we expect these changes you talk about?
> 
> CB> Since I experimented with a few things the code needs some cleanup /
> CB> polishing now. I'll try to submit a patch next weekend.
> 
> That's terrific.  Thank you for working on that.
> 
> Are you interested in adding support for the more recent versions of
> GnuTLS as well (2.10+)?  I stopped with the one generally available in
> Debian at the time (see
> http://permalink.gmane.org/gmane.emacs.gnus.general/75001).  It's on my
> TODO list to upgrade to 2.10 and add callbacks for certificate
> verification, but if you want to try it I would be grateful.

Actually, I'm using GnuTLS 2.10 (2.10.1 and 2.10.4) right now. What
are the differences between 2.8 and 2.10? I would be glad to help out
implementing the missing callback support.

Incidently, I had a car crash yesterday. Nothing serious, still
feeling a bit dizzy, though. That probably means I won't have any time
preparing a patch this weekend. So, don't hold your breath on it...

Claudio